# CKEditor 3.0 JavaScript API Documentation

Code Index | File Index

## Namespaces

- CKEDITOR
- CKEDITOR.ajax
- CKEDITOR.config
- CKEDITOR.dom
- CKEDITOR.dtd
- CKEDITOR.env
- CKEDITOR.imageCacher
- CKEDITOR.loader
- CKEDITOR.plugins
- CKEDITOR.resourceManager
- CKEDITOR.scriptLoader
- CKEDITOR.skins
- CKEDITOR.test
- CKEDITOR.themes
- CKEDITOR.tools

## Classes

- CKEDITOR.commandDefinition
- CKEDITOR.dialog
- CKEDITOR.dialog.buttonDefinition
- CKEDITOR.dialog.contentDefinition
- CKEDITOR.dialog.contentDefinitionObject
- CKEDITOR.dialog.dialogDefinition
- CKEDITOR.dialog.dialogDefinitionObject
- CKEDITOR.dialog.uiElementDefinition
- CKEDITOR.dialogCommand
- CKEDITOR.dom.document
- CKEDITOR.dom.domObject
- CKEDITOR.dom.element
- CKEDITOR.dom.event
- CKEDITOR.dom.node
- CKEDITOR.dom.selection
- CKEDITOR.dom.text
- CKEDITOR.dom.window
- CKEDITOR.editor
- CKEDITOR.event
- CKEDITOR.eventInfo
- CKEDITOR.focusManager
- CKEDITOR.htmlParser
- CKEDITOR.htmlParser.cdata
- CKEDITOR.htmlParser.comment
- CKEDITOR.htmlParser.element
- CKEDITOR.htmlParser.fragment
- CKEDITOR.htmlParser.text
- CKEDITOR.htmlWriter
- CKEDITOR.keystrokeHandler
- CKEDITOR.pluginDefinition
- CKEDITOR.ui
- CKEDITOR.ui.button
- CKEDITOR.ui.dialog.button
- CKEDITOR.ui.dialog.checkbox
- CKEDITOR.ui.dialog.file
- CKEDITOR.ui.dialog.fileButton
- CKEDITOR.ui.dialog.hbox
- CKEDITOR.ui.dialog.html
- CKEDITOR.ui.dialog.labeledElement
- CKEDITOR.ui.dialog.radio
- CKEDITOR.ui.dialog.select
- CKEDITOR.ui.dialog.textarea
- CKEDITOR.ui.dialog.textInput
- CKEDITOR.ui.dialog.uiElement
- CKEDITOR.ui.dialog.vbox
- CKEDITOR.ui.handlerDefinition
- CKEDITOR.xml

# Class CKEDITOR.ui.dialog.textInput

Extends CKEDITOR.ui.dialog.labeledElement.
Defined in: plugins/dialogui/plugin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CKEDITOR.ui.dialog.textInput(dialog, elementDefinition, htmlList) A text input with a label.

Fields borrowed from class CKEDITOR.ui.dialog.labeledElement:
  eventProcessors

Method Summary
Method Attributes | Method Name and Description
--- | ---
| accessKeyUp() Handler for the text input's access key up event.
| focus() Puts focus into the text input.
| getInputElement() Gets the text input DOM element under this UI object.
| select() Selects all the text in the text input.
| setValue(value) Sets the value of this text input object.

Methods borrowed from class CKEDITOR.ui.dialog.labeledElement:
  getLabel, setLabel
Methods borrowed from class CKEDITOR.ui.dialog.uiElement:
  accessKeyDown, disable, enable, getDialog, getElement, getValue, isChanged, isEnabled, isFocusable, isVisible, registerEvents, selectParentTab

Class Detail
CKEDITOR.ui.dialog.textInput(dialog, elementDefinition, htmlList)
Since: 3.0
A text input with a label. This UI element class represents both the single-line text inputs and password inputs in dialog boxes.

Parameters:
{CKEDITOR.dialog} dialog
  Parent dialog object.
{CKEDITOR.dialog.uiElementDefinition} elementDefinition
  The element definition. Accepted fields:
  - default (Optional) The default value.
  - validate (Optional) The validation function.
  - maxLength (Optional) The maximum length of text box contents.
  - size (Optional) The size of the text box. This is usually overridden by the size defined by the skin, however.
{Array} htmlList
  List of HTML code to output to.

Method Detail
{Undefined} accessKeyUp()
Since: 3.0
Handler for the text input's access key up event. Makes a select() call to the text input.

{Undefined} focus()
Since: 3.0
Puts focus into the text input.

{CKEDITOR.dom.element} getInputElement()
Since: 3.0
Gets the text input DOM element under this UI object.

Returns:
  {CKEDITOR.dom.element} The DOM element of the text input.

{Undefined} select()
Since: 3.0
Selects all the text in the text input.

{CKEDITOR.ui.dialog.textInput} setValue(value)
Since: 3.0
Sets the value of this text input object.

    uiElement.setValue( 'Blamo' );

Parameters:
{Object} value
  The new value.

Returns:
  {CKEDITOR.ui.dialog.textInput} The current UI element.

Copyright © 2003-2009, CKSource - Frederico Knabben. All rights reserved.